Uploaded image for project: 'Appcelerator Modules'
  1. Appcelerator Modules
  2. MOD-2364

ti.cloudpush and ti.map have conflicting jar files

    Details

      Description

      description

      user cannot build using ti.cloudpush and ti.map and gets the following error:
      [ERROR] : Conflicting jar files detected:
      [ERROR] :
      [ERROR] : The following modules have different "google-play-services-base.jar" files
      [ERROR] : ti.cloudpush (version 4.0.3) (hash=730a1d6196847cb5b1067ac02a875876)
      [ERROR] : ti.map (version 3.3.1) (hash=d256136c03c8f78d47ddb73739493aea)
      [ERROR] :
      [ERROR] : You can either select a version of these modules where the conflicting jar file is the same or you
      [ERROR] : can try copying the jar file from one module's "lib" folder to the other module's "lib" folder.

      steps to reproduce

      create simple app
      add latest releases of ti.cloudpush and ti.map
      run application

      Additional information

      customer has tried to replace the jar files and are still running into errors during build
      For now i've asked customer to run ti.map version 3.1.1 and ti.cloudpush version 4.0.3 as that does not run into the conflicting jar files error.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                gmathews Gary Mathews
                Reporter:
                vvazquezmontero Victor Vazquez Montero
              • Watchers:
                7 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Git Source Code